%global ipadicver	2.7.0
%global src_date	20070610
%global momorel		2
%global md5sum_src0	948f283cfcafbd562317c79df147da68
%global mecabver	0.96

Name:		mecab-ipadic
Summary:	IPA dictionary for MeCab
Version:	%{ipadicver}
Release:	0.%{src_date}.%{momorel}m%{?dist}
License:	"ipadic"
Group:		Development/Libraries
URL:		http://mecab.sourceforge.net/
%NoSource 0	http://dl.sourceforge.net/sourceforge/mecab/%{name}-%{version}-%{src_date}.tar.gz %{md5sum_src0}
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:	mecab >= %{mecabver}

%description
IPA dictionary for MeCab.


%prep
%setup -q -n %{name}-%{version}-%{src_date}

%build
%configure --with-charset=utf8 --with-mecab-config=%{_bindir}/mecab-config

%make

%install
rm -rf --preserve-root %{buildroot}
%make dicdir=%{buildroot}%{_libdir}/mecab/dic/ipadic install

%clean
rm -rf --preserve-root %{buildroot}

%post
# Note: post should be okay. mecab-dic expects that
# mecab is installed in advance.
if test -f %{_sysconfdir}/mecabrc ; then
	sed -i -e 's|^dicdir.*|dicdir = %{_libdir}/mecab/dic/ipadic|' \
		%{_sysconfdir}/mecabrc || :
fi

%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL README RESULT
%{_libdir}/mecab/dic/ipadic

%changelog
* Sat Oct  6 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.7.0-2007-610-2m)
- set dictionary position to mecabrc

* Wed Jun 20 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.7.0-20070610.1m)
- update to 2.7.0-20070610 (with mecab-0.96)
- delete BuildPreReq: mecab-devel

* Sat Jul 29 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (2.7.0-20060707.1m)
- update to 2.7.0-20060707 (with mecab-0.92)

* Mon May 08 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (2.7.0-0.20060408.1m)
- separate from mecab package
